curl -X GET https://api.llmgenerator.com/api/v1/generate/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/generate/550e8400-e29b-41d4-a716-446655440000',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const status = await response.json();
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"siteId": "site_abc123",
"status": "processing",
"progress": 45,
"url": "https://example.com",
"options": {
"maxUrls": 50,
"showFullText": true,
"generationMethod": "enhanced"
},
"fileUrl": null,
"fullTextUrl": null,
"error": null,
"createdAt": "2026-01-20T10:00:00.000Z",
"completedAt": null
}
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"siteId": "site_abc123",
"status": "completed",
"progress": 100,
"url": "https://example.com",
"options": {
"maxUrls": 50,
"showFullText": true,
"generationMethod": "enhanced"
},
"fileUrl": "https://api.llmgenerator.com/api/v1/file/site_abc123",
"fullTextUrl": "https://api.llmgenerator.com/api/v1/file/site_abc123?full=true",
"error": null,
"createdAt": "2026-01-20T10:00:00.000Z",
"completedAt": "2026-01-20T10:05:00.000Z"
}
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"siteId": "site_abc123",
"status": "failed",
"progress": 0,
"url": "https://example.com",
"options": {
"maxUrls": 50,
"showFullText": false,
"generationMethod": "simple"
},
"fileUrl": null,
"fullTextUrl": null,
"error": "Failed to fetch sitemap: 404 Not Found",
"createdAt": "2026-01-20T10:00:00.000Z",
"completedAt": "2026-01-20T10:00:30.000Z"
}
Generierung
Generierungsstatus prüfen
Dieser Endpunkt liefert den Status eines Generierungsjobs.
curl -X GET https://api.llmgenerator.com/api/v1/generate/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/generate/550e8400-e29b-41d4-a716-446655440000',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const status = await response.json();
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"siteId": "site_abc123",
"status": "processing",
"progress": 45,
"url": "https://example.com",
"options": {
"maxUrls": 50,
"showFullText": true,
"generationMethod": "enhanced"
},
"fileUrl": null,
"fullTextUrl": null,
"error": null,
"createdAt": "2026-01-20T10:00:00.000Z",
"completedAt": null
}
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"siteId": "site_abc123",
"status": "completed",
"progress": 100,
"url": "https://example.com",
"options": {
"maxUrls": 50,
"showFullText": true,
"generationMethod": "enhanced"
},
"fileUrl": "https://api.llmgenerator.com/api/v1/file/site_abc123",
"fullTextUrl": "https://api.llmgenerator.com/api/v1/file/site_abc123?full=true",
"error": null,
"createdAt": "2026-01-20T10:00:00.000Z",
"completedAt": "2026-01-20T10:05:00.000Z"
}
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"siteId": "site_abc123",
"status": "failed",
"progress": 0,
"url": "https://example.com",
"options": {
"maxUrls": 50,
"showFullText": false,
"generationMethod": "simple"
},
"fileUrl": null,
"fullTextUrl": null,
"error": "Failed to fetch sitemap: 404 Not Found",
"createdAt": "2026-01-20T10:00:00.000Z",
"completedAt": "2026-01-20T10:00:30.000Z"
}
War diese Seite hilfreich?
⌘I